﻿html, body {
    height: 100%;
}

#app {
    height: 100%;
    display: flex;
    background-color: #e5e9ec;
}

form { width: 100%; }

#info-sistema {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 10000;
    padding: 0.1rem 0.3rem;
    font-weight: bold;
    font-size: 90%;
    background-color: #5f9ea088;
    color: #fff;
    border-bottom-left-radius: 5px;
    pointer-events: none;
}

.error-box {
    border-radius: 15px;
    border: 1px solid #ccc;
    background: #f5f5f5ee;
    height: 300px;
    padding: 2rem;
}

.warning-text {
    font-weight: bold !important;
    color: #FDD835 !important;
}

.error-text {
    font-weight: bold !important;
    color: #E53935 !important;
}

.orange-text {
    font-weight: bold !important;
    color: #FB8C00 !important;
}

.exa-page-header {
    display: flex;
    align-items: center;
    font-size: 12px;
    font-weight: 100;
    padding: 5px 0px 5px 0px
}

.exa-page-header-icon {
    margin-right: .5rem;
    vertical-align: top;
}

.headerElement::before {
    padding-right: 0.5rem;
    color: #6c757d;
    content: ">";
}

.no-overflow {
    overflow: hidden;
}

.exa-page {
    flex: 1;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    background-color: #e5e9ec;
    padding: 8px 0 0;
}

.exa-page-header-container {
    margin: 0px;
    padding: 0 0.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #ccc;
}

    .exa-page-header-container .exa-actions {
        flex: 1;
    }

.exa-buttons-bar {
    display: flex;
    padding: 2px 0.5rem;
    min-height: 40px;
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
    width: 100%;
    max-width: 100vw;
}

    .exa-buttons-bar button {
        margin-right: .3rem;
    }


.exa-page-body {
    background-color: #fff;
}


.exa-page-body {
    flex: 1;
    display: flex;
    flex-direction: column;
    padding: .2rem .5rem;
    width: 100%;
    overflow-y: auto;
}

.exa-page.homepage,
.exa-page.errorpage {
    background-image: url("../images/homepage.jpg");
    background-position-y: -120px;
    padding-top: 0;
}

    .exa-page.homepage .exa-page-body,
    .exa-page.errorpage .exa-page-body {
        margin: 0 auto;
        background-color: transparent;
    }

    .exa-page.errorpage .exa-page-body {
        align-items: center;
    }

.follow-tesi {
    background-color: #003B5F;
    width: 200px;
    height: 60px;
    text-align: center;
    font-size: 20px;
}

    .follow-tesi .follow-tesi-handler {
        color: #fff;
    }

    .follow-tesi .follow-tesi-social {
        display: none;
    }

.mud-main-content.Login .follow-tesi .follow-tesi-social a {
    font-weight: 100 !important;
    font-size: 18px;
}

.mud-main-content.Login .follow-tesi .follow-tesi-social #follow-social a {
    display: inline-block;
    border-bottom: 3px solid transparent;
    width: 25px;
    height: 30px;
    background-position: center center;
    background-repeat: no-repeat;
    margin: -2px 8px 0;
}

    .mud-main-content.Login .follow-tesi .follow-tesi-social #follow-social a:hover {
        border-bottom-color: white;
    }

.mud-main-content.Login .follow-tesi .follow-tesi-social #follow-l {
    background-image: url("../images/social/icon-in.png");
}

.mud-main-content.Login .follow-tesi .follow-tesi-social #follow-t {
    background-image: url("../images/social/icon-tw.png");
    background-position-y: 5px !important;
}

.mud-main-content.Login .follow-tesi .follow-tesi-social #follow-y {
    background-image: url("../images/social/icon-yt.png");
    background-position-y: 6px !important;
}

.mud-main-content.Login .follow-tesi .follow-tesi-social #follow-f {
    background-image: url("../images/social/icon-fb.png");
}


.follow-tesi:hover {
    background-color: #009EE0;
}

    .follow-tesi:hover .follow-tesi-handler {
        display: none;
    }

    .follow-tesi:hover .follow-tesi-social {
        display: block;
    }

.mud-selected-item {
    background-color: #daeffd !important;
}

.invisible {
    visibility: hidden;
}

.mud-timeline-item-content {
    text-align: center;
}

.mud-timeline-horizontal .mud-timeline-item .mud-timeline-item-divider {
    min-height: 70px;
}

.mud-timeline-horizontal.mud-timeline-position-bottom::before {
    bottom: 53px;
}

.mud-disabled .fab-container .mud-fab-success .mud-svg-icon {
    color: var(--mud-palette-success-text);
}

.mud-disabled .fab-container .mud-fab-error .mud-svg-icon {
    color: var(--mud-palette-error-text);
}

.mud-checkbox:not(.mud-disabled) * {
    color: var(--mud-palette-primary) !important;
}

.mud-checkbox:not(.mud-disabled) .mud-button-root * {
    color: var(--mud-palette-info) !important;
}


.mud-checkbox .mud-checkbox-dense {
    padding: 3px;
}

.mud-card-content {
    padding: 10px;
}

.homepage .mud-card-content {
    font-size: 90%;
}

    .homepage .mud-card-content .mud-chip.mud-chip-size-small {
        font-size: 95%;
    }


.mud-card-header {
    background-color: #eee;
    font-weight: bold;
    font-size: 1.1rem;
    padding: 6px 10px;
}

.mud-main-content:not(.Login) footer {
    border-top: 1px solid #ccc;
    box-shadow: 0 -3px 6px rgb(0 0 0 / 10%);
    border-top: 1px solid #999;
    border-top: 1px solid #999;
    width: 100%;
    background-color: #fff;
}

.privacy-title {
    border-bottom: 1px solid #ccc;
    margin-bottom: .5rem;
    margin-top: 1.5rem;
}

.mud-layout {
    display: flex;
}

.mud-main-content {
    display: flex;
    flex-direction: column;
    width: 100%;
}

    .mud-main-content.Login {
        padding-top: 0;
        background-image: url("../images/login.jpg");
        color: #fff;
    }

        .mud-main-content.Login a:not(.blue-link) {
            font-weight: bold;
            color: #fff !important
        }

.mud-expand-panel.mud-panel-expanded .mud-expand-panel-header {
    background-color: #ecf5f6;
}

.mud-container {
    display: flex;
    flex-direction: column;
    flex: 1;
    overflow: hidden;
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.exa-page:not(.flex-table) .exa-page-body > .mud-container {
    overflow: unset !important;
}

.exa-page.errorpage .exa-page-body > .mud-container {
    justify-content: center;
    max-width: 550px;
    width: 100% !important;
}

.exa-page.flex-table .exa-page-body {
    overflow: hidden;
}

.mud-main-content.Login .mud-container {
    justify-content: center;
}

.adornment-on-disabled .mud-input.mud-disabled > .mud-input-adornment {
    display: flex !important;
    width: 0.8rem;
}

.adornment-on-disabled .mud-input.mud-input-outlined.mud-input-adorned-start {
    padding-left: 7px;
}

.mud-input.mud-input-outlined .mud-input-outlined-border {
    border-radius: 0;
}

.validation-message,
.mud-input-error .mud-input-control-helper-container {
    margin: 0;
    padding: 0 !important;
    background: #ffcccc;
    border-left: 3px solid red;
}

.validation-message, .mud-input-helper-text.mud-input-error {
    padding: 0 .2rem !important;
    color: #000 !important;
    font-size: 0.6rem;
}

.validation-message {
    margin-top: -2px
}

.mud-input-control > .mud-input-control-input-container {
    flex-direction: column-reverse;
}

.mud-input-label-outlined.mud-input-label-margin-dense {
    transform: none !important;
    text-align: left;
}

.mud-input-control.readonly {
    background-color: #eee!important;
}

.form-label {
    position: relative;
    top: 7px;
    display: inline-block;
    padding: 0 5px;
}

.mud-input-label-outlined.mud-input-label-margin-dense, .form-label {
    font-size: .65rem !important;
    text-transform: uppercase;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.mud-input-label-inputcontrol {
    position: static;
}

.mud-input > textarea.mud-input-root,
.mud-input > input.mud-input-root, div.mud-input-slot.mud-input-root {
    font-size: .80rem;
}

.mud-input > input.mud-input-root-outlined.mud-input-root-margin-dense, div.mud-input-slot.mud-input-root-outlined.mud-input-root-margin-dense {
    padding: 5px 6px;
}

.mud-field div.mud-input-slot.mud-input-root-outlined.mud-input-root-margin-dense {
    padding-top: 3px;
    padding-bottom: 3px
}

.mud-input.mud-disabled, .mud-table .mud-input.mud-input-outlined.mud-disabled {
    color: #666;
    background-color: #edf3fa;
}

.mud-input.mud-input-outlined.mud-disabled .mud-input-outlined-border {
    border-color: #edf3fa;
}

.mud-table .mud-input.mud-input-outlined.mud-disabled .mud-input-outlined-border {
    border: 1px solid #c4dbed;
}

.mud-table .mud-input.mud-input-outlined {
    background-color: #fff;
}



.mud-input-control > .mud-input-control-input-container > .mud-input-label-inputcontrol,
.mud-input-control > .mud-input-control-input-container > .mud-input-label-inputcontrol.mud-disabled {
    color: var(--mud-palette-text-primary) !important;
}

.mud-input-control.mud-input-error > .mud-input-control-input-container > .mud-input-label-inputcontrol,
.form-label.mud-input-error {
    color: var(--mud-palette-error) !important;
}

.mud-input > textarea.mud-input-root-outlined.mud-input-root-margin-dense {
    margin: 7.5px 8px !important;
}

.mud-input-control.text-uppercase .mud-input-root {
    text-transform: uppercase;
}

.mud-toolbar-gutters {
    padding-left: 14px;
}

.mud-link.mud-link-underline-hover.menu-border {
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
    padding-left: 14px;
    padding-right: 14px;
    align-self: normal;
    display: flex;
    align-items: center;
}

    .mud-link.mud-link-underline-hover.menu-border:hover {
        text-decoration: none;
    }

.mud-card.item-100h {
    height: 100%
}

.fab-container {
    position: fixed;
    bottom: 3rem;
    right: 1.5rem;
    z-index: 4;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

#blazor-error-ui {
    background: lightyellow;
    color: #000;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 10000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

.text-center {
    text-align: center !important;
}

.text-right {
    text-align: right !important;
}

.text-left {
    text-align: left !important;
}

.text-lowercase {
    text-transform: lowercase;
}

.mud-drawer-content .mud-nav-item .mud-icon-root {
    text-align: center;
}

.mud-drawer-content .mud-nav-item .mud-nav-link-text {
    overflow: hidden;
    white-space: nowrap;
}

.mud-navmenu .mud-tooltip-root {
    width: 100%;
}

.operation-buttons .mud-tooltip-root {
    display: inline-flex !important;
}

.mud-navmenu .mud-nav-item {
    padding-left: 0;
    padding-right: 0;
}

    .mud-navmenu .mud-nav-item .mud-nav-link {
        padding-left: .5rem;
        padding-right: .5rem;
    }

.mud-drawer-content .mud-nav-item .mud-nav-link {
    min-height: 30px;
}

    .mud-drawer-content .mud-nav-item .mud-nav-link .mud-icon-size-medium {
        font-size: 1.2rem;
    }

.w-100 {
    width: 100%;
}

.h-100 {
    height: 100%;
}

ul.bullet-list {
    list-style: disc;
    padding-left: 1.2rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.suffix-container {
    position: relative;
    margin-top: 5px;
}

    .suffix-container .mud-chip.mud-chip-size-small.suffix {
        min-height: auto;
        position: absolute;
        bottom: -0.3rem;
        right: -0.3rem;
        padding: 0.2rem 0.3rem;
        font-size: 7px !important;
        margin: 0;
        pointer-events: none;
    }


.text-ellipsis {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.hidden {
    display: none;
}

.max-height-filters {
    max-height: 230px;
    overflow: auto;
}

.mud-input-adornment .mud-icon-button {
    padding: 0;
    position: relative;
    right: 12px;
}

.mud-input.mud-disabled > .mud-input-adornment {
    display: none;
}

.mud-picker.mud-picker-inline.mud-picker-input-text .mud-input {
    padding: 0;
}

.monospace-font textarea {
    font-family: 'Courier New', Courier, monospace !important;
    font-weight: bold !important;
}

.disabled, .disabled a {
    pointer-events: none;
    color: #8591a0 !important;
    text-decoration: none;
}
.no-events {
    pointer-events: none;
}

.text-center .mud-input-control-boolean-input .mud-input-control-input-container {
    align-items: center;
}

.icon-stack-container {
    display: inline-flex;
    position: relative;
    width: 30px;
    height: 30px;
    vertical-align: bottom;
}

    .icon-stack-container .stack-up,
    .icon-stack-container .stack-down {
        padding: 0;
        position: absolute;
        left: 0;
        height: 15px;
    }

    .icon-stack-container .stack-up {
        top: -.2rem;
    }

    .icon-stack-container .stack-down {
        bottom: -.2rem;
    }


.mud-list-item.mud-list-item-dense {
    min-height: 28px;
}

.exa-sort-container {
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    flex-direction: inherit;
    justify-content: flex-start;
}

    .exa-sort-container.disabled {
        pointer-events: none;
        cursor: default;
    }

        .exa-sort-container.disabled .exa-sort-icon {
            visibility: hidden;
        }


    .exa-sort-container .exa-sort-icon {
        margin-left: 4px;
        user-select: none;
        margin-right: 4px;
        display: flex;
        align-self: flex-start;
        margin-top: 1px;
    }

.operazioni-documento .mud-list-item .mud-list-item-icon {
    min-width: 35px;
}

.operazioni-documento .mud-list-item.mud-list-item-disabled {
    color: #8591a0 !important;
}

.daticat-container {
    display: flex;
    flex-wrap: wrap;
    border-bottom: 4px solid #e5e9ec;
}

.section-container.filters-closed .daticat-container {
    border-bottom: 0px;
}

.daticat-container .filter-selected {
    padding-right: 0.5rem;
    padding-bottom: 0.5rem;
    min-height: 40px;
    max-height: 40vh;
    overflow-y: auto;
}

.col {
    flex-basis: 0;
    flex-grow: 1;
    max-width: 100%;
}

.col-icon {
    flex: 0 0 40px;
    max-width: 40px;
    text-align: center;
}

.exa-page.flex-table .mud-table,
.exa-page.flex-table .mud-simple-table {
    padding: 0;
    display: flex;
    min-height: 0px;
}

    .exa-page.flex-table .mud-table .mud-table-container,
    .exa-page.flex-table .mud-simple-table .mud-table-container {
        width: 100%;
    }

.flex-table-container {
    height: 500px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

    .flex-table-container .mud-table {
        display: flex;
        flex: 1;
        overflow-y: auto;
    }

.mud-table-head > .mud-table-row > .mud-table-cell {
    border-bottom-width: 2px;
    z-index: 3!important;
}
.mud-table-head > .mud-table-row > .mud-table-cell.sticky {
    z-index: 4!important;
}

.mud-table-row.deleting {
    opacity: 0.5;
    pointer-events: none;
}

.mud-simple-table .mud-table-container > table,
.mud-table-root {
    table-layout: fixed;
}

.mud-table-hover.mud-table-striped .mud-table-container table tbody tr {
    background-color: #fff;
}

    .mud-simple-table-hover .mud-table-container > table > tbody > tr:not(.no-hover):hover, .mud-simple-table-row:hover td.sticky,
    .mud-table-hover .mud-table-container > table > tbody > tr:not(.no-hover):hover,
    .mud-table-row:hover td.sticky {
        background-color: #daeffd !important;
    }

.mud-table-hover.mud-table-striped .mud-table-container table tbody > tr.expanded,
.mud-table-hover.mud-table-striped .mud-table-container table tbody > tr:not(.no-hover):hover.expanded {
    background-color: #f9ffca !important;
}

.mud-table-hover .mud-table-container .mud-table-root .mud-table-body .mud-table-row.no-hover:hover {
    background-color: inherit!important;
}

.mud-table-striped .mud-table-container .mud-table-root .mud-table-body .mud-table-row:nth-of-type(odd),
.mud-simple-table.mud-table-striped .mud-table-container tbody .mud-table-row:nth-of-type(odd) {
    background-color: #ecf0f2;
}

.mud-table-row:first-child .icon-stack-container .stack-up,
.mud-table-row:last-child .icon-stack-container .stack-down {
    visibility: hidden;
}

.mud-simple-table .mud-table-container > table .mud-table-head .mud-table-cell,
.mud-table-root .mud-table-head .mud-table-cell,
.mud-table-cell:before {
    font-weight: 600;
    width: 100%;
    text-transform: uppercase;
    color: #8591a0;
    line-height: 1rem;
}

.mud-table-cell {
    font-size: var(--mud-typography-body1-size) !important;
    word-break: break-word;
}

    .mud-table-cell button {
        vertical-align: top;
    }

.mud-table-dense * .mud-table-row .mud-table-cell {
    padding: 2px 5px;
    padding-inline-start: 5px;
    padding-inline-end: 5px;
    /*overflow: hidden;
    text-overflow: ellipsis;*/
}

th.mud-table-cell.sortable {
    cursor: pointer;
    padding-right: 16px !important;
    position: relative;
}

th.sortable:after {
    display: inline-block;
    font-family: "Font Awesome 5 Free";
    font-size: 14px;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    content: "\f0dc";
    position: absolute;
    top: 50%;
    right: 0.25em;
    -webkit-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    transform: translate(0, -50%);
}

    th.mud-table-cell.sortable:hover {
        background-color: #BBC4CC !important;
        color: #fff !important;
    }
th.sortable.asc:after {
    content: "\f062";
}

th.sortable.desc:after {
    content: "\f063";
}

th.mud-table-cell.sortable .sortable-cell {
    height: 3px;
    width: 100%;
    background: var(--mud-palette-primary);
    position: absolute;
    bottom: -1px;
    left: 0;
}

.mud-simple-table .mud-table-empty-row {
    background-color: var(--mud-palette-surface) !important;
    vertical-align: middle !important;
    text-align: center !important;
    border-bottom: none !important;
}

.filter-entries-container {
    padding: .5rem;
}

    .filter-entries-container .no-entry {
    }

    .filter-entries-container .filter-desc {
        display: inline-block;
        margin-right: 0.5rem;
    }

    .filter-entries-container .filter-entry {
        display: inline-block;
        margin-right: 0.5rem;
        margin-top: 1px;
        margin-bottom: 1px;
        background: #eee;
        padding: 0.3rem 0.5rem;
        border-radius: 15px;
    }

        .filter-entries-container .filter-entry .filter-label {
            display: inline-block;
            margin-right: .3rem;
        }

        .filter-entries-container .filter-entry .filter-value {
            display: inline-block;
            font-weight: bold;
            margin-right: .3rem;
        }

@media (max-width: 600px) {
    .mud-table-root, .mud-simple-table .mud-table-container > table {
        display: flex;
        width: 100%;
        flex-direction: column;
    }

    .mud-xs-table .mud-table-body {
        border-top: 1px solid var(--mud-palette-table-lines);
        display: flex;
        flex: 1;
        flex-direction: column;
    }

    .mud-xs-table .mud-table-row {
        display: flex;
        flex-direction: column;
        flex: 1;
        width: 100%;
    }

    .mud-xs-table .mud-table-cell.text-action {
        justify-content: flex-end;
    }

    .mud-xs-table.mud-table-dense .mud-table-cell {
        max-width: 100%;
    }

    .mud-xs-table .mud-table-cell:before {
        flex: 0 0 30%;
        max-width: 30%;
    }

    .mud-table-dense * .mud-table-row .mud-table-cell:last-child {
        padding-right: 5px;
        padding-inline-end: 5px;
    }

    .login-box {
        width: initial;
        margin: 20px;
    }

    .mud-xs-table.mud-table-root .mud-table-head, .mud-xs-table .mud-table-root .mud-table-foot {
        display: none;
    }

    .homepage .mud-card .mud-card-content {
        padding: 5px 8px;
        height: 50px;
        overflow: auto;
    }

    .mud-card-header {
        font-size: .8rem;
    }

        .mud-card-header .mud-icon-size-medium {
            font-size: .9rem;
        }
}

@media (max-width: 960px) {
    .mud-table-root, .mud-simple-table .mud-table-container > table {
        display: flex;
        width: 100%;
        flex-direction: column;
    }

    .mud-sm-table .mud-table-body {
        border-top: 1px solid var(--mud-palette-table-lines);
        display: flex;
        flex: 1;
        flex-direction: column;
    }

    .mud-sm-table .mud-table-row {
        display: flex;
        flex-direction: column;
        flex: 1;
        width: 100%;
    }

    .mud-sm-table .mud-table-cell.text-action {
        justify-content: flex-end;
    }

    .mud-sm-table.mud-table-dense .mud-table-cell {
        max-width: 100%;
        width: 100% !important;
    }

    .mud-sm-table .mud-table-cell:before {
        flex: 0 0 30%;
        max-width: 30%;
    }

    .mud-table-dense * .mud-table-row .mud-table-cell:last-child {
        padding-right: 5px;
        padding-inline-end: 5px;
    }

    .mud-sm-table.mud-table-root .mud-table-head, .mud-sm-table .mud-table-root .mud-table-foot {
        display: none;
    }

    .daticat-container .row-daticat {
        display: initial;
        flex-wrap: wrap;
    }


        .daticat-container .row-daticat > * {
            width: 100%;
            max-width: 100%;
        }
}

.mud-input-control.red-text input {
    color: #f44336;
}

.required-message {
    margin: 0;
    margin-top: -2px;
    padding: 0 0.2rem;
    color: #000 !important;
    font-size: 0.6rem;
    background: #fff5ba;
    border-left: 3px solid #ffd100;
    text-align: start;
    font-weight: 400;
    line-height: 1.66;
    letter-spacing: .03333em;
}


.country {
    height: 14px;
    width: 24px;
    background-position: center center;
    background-repeat: no-repeat;
    display: block;
    background-size: cover;
    display: inline-block;
    vertical-align: text-top;
}

.country-it-IT {
    background-image: url("../images/lang/it.gif");
}

.country-en-US {
    background-image: url("../images/lang/en.gif");
}

.country-fr-FR {
    background-image: url("../images/lang/fr.gif");
}

.country-selector,
.country-selector .mud-select {
    width: 40px;
    height: 24px;
}

    .country-selector .mud-select,
    .country-selector .mud-select .mud-input {
        margin: 0 !important;
    }

    .country-selector .mud-input.mud-input-underline:before {
        border: 0 !important;
    }

    .country-selector .mud-select .mud-select-input .mud-input-adornment-end {
        display: none;
    }

    .country-selector .mud-select .mud-input-control-input-container {
        align-items: center;
    }

    .country-selector .mud-select div.mud-input-slot.mud-input-root {
        padding: 0 !important;
        height: 24px;
        display: flex !important;
        align-items: center;
    }

.countries-selector .mud-list-item {
    padding-right: 0;
    padding-left: 0;
}

.countries-selector .mud-list-item-text .mud-typography {
    text-align: center;
}

.exa-breadcrumb-container {
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    margin-top: 0.3rem;
    padding-left: 10px;
    padding-right: 10px;
}

    .exa-breadcrumb-container .exa-breadcrumb-entry {
        display: flex;
        margin-right: .3rem;
        height: 16px;
    }

        .exa-breadcrumb-container .exa-breadcrumb-entry:not(:first-child)::after {
            content: ">";
            padding-left: .3rem;
        }

        .exa-breadcrumb-container .exa-breadcrumb-entry a {
            color: #666 !important;
        }

        .exa-breadcrumb-container .exa-breadcrumb-entry:first-child a {
            font-weight: bold;
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
        }

        .exa-breadcrumb-container .exa-breadcrumb-entry .mud-icon-root {
            vertical-align: middle;
            font-size: 10pt;
            margin-right: .3rem;
        }




element.style {
    color: red;
}

.mud-button-filled.mud-button-filled-primary:hover, .mud-button-outlined.mud-button-outlined-primary:focus-visible {
    background-color: #D1DADE;
}

.mud-button-filled.mud-button-filled-primary {
    border: 2px solid #D1DADE;
    background-color: #e5e9ec;
    color: #212529;
    box-shadow: none;
}

.mud-table {
    border-radius: 0;
    box-shadow: none !important;
}

.mud-simple-table.mud-table-sticky-header * table thead * th:first-child {
    border-radius: 0 0 0 0;
}

.mud-chip.mud-chip-size-small {
    display: inline-block;
    padding: 0.35em 0.5em;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: initial;
    vertical-align: baseline;
    border-radius: 0.25rem;
    font-size: 11px;
    height: inherit;
}

.mud-chip-filled.mud-chip-color-default {
    color: #777;
}

.mud-navmenu.mud-navmenu-dark .mud-nav-link.active:not(.mud-nav-link-disabled) {
    color: inherit;
    background-color: var(--mud-palette-dark-hover);
}

.mud-nav-link:not(.mud-nav-link-disabled) .mud-nav-link-icon.mud-nav-link-icon-default {
    color: var(--mud-palette-drawer-icon);
}

.mud-navmenu.mud-navmenu-dark .mud-nav-link.active:not(.mud-nav-link-disabled) .mud-nav-link-icon {
    color: var(--mud-palette-drawer-icon);
}

.section-container {
    display: flex;
    flex-direction: column;
}

    .section-container.filters-closed {
        flex-direction: row;
    }

    .section-container .daticat-container {
        flex: 1;
    }

.sticky-last-column {
    position: sticky;
    right: 0;
    background-color: inherit;
    background: rgb(255,255,255);
    background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 10%, rgba(255,255,255,1) 98%);
}

.mud-table-row:nth-of-type(odd) td.sticky-last-column {
    background: rgb(236,240,242);
    background: linear-gradient(90deg, rgba(236,240,242,0) 0%, rgba(236,240,242,1) 10%, rgba(236,240,242,1) 98%);
}

.sticky {
    position: sticky;
}

thead .sticky {
    z-index: 3 !important;
}

tbody .sticky {
    z-index: 2 !important;
}

.sticky.last-left {
    border-right: 1px solid #eee;
    /*box-shadow: 3px 0px 4px #eee;*/
}

.sticky.last-right {
    border-left: 1px solid #eee;
    /*box-shadow: -3px 0px 4px #eee;*/
}

.mud-table-row:nth-of-type(even) td.sticky {
    background: #fff;
}

.mud-table-row:nth-of-type(odd) td.sticky {
    background: #ecf0f2;
}

.mud-input {
    color: #555 !important;
}

.mud-link:not(.disabled) {
    color: #0A71B4 !important;
    text-decoration: none;
    cursor: pointer;
}

.mud-table .disabled .mud-link, .mud-link.mud-link-disabled {
    color: #8591a0 !important;
    text-decoration: none;
    pointer-events: none;
}

.mud-table .mud-link:hover {
    text-decoration: none;
}

.mud-table.mud-elevation-1 {
    box-shadow: inherit;
    border-bottom: 1px solid #ecf0f2;
}

.fab-container ~ .mud-card:last-of-type .mud-card-content {
    margin-bottom: 50px;
}

:root {
    --bs-blue: #0d6efd;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;
    --bs-primary: #0A71B4;
    --bs-secondary: #009EE0;
    --bs-success: #1DAEA9;
    --bs-info: #0A71B4;
    --bs-warning: #F7AB33;
    --bs-danger: #F35958;
    --bs-light: #f8f9fa;
    --bs-dark: #003B5F;
    --bs-primary-rgb: 10, 113, 180;
    --bs-secondary-rgb: 0, 158, 224;
    --bs-success-rgb: 29, 174, 169;
    --bs-info-rgb: 10, 113, 180;
    --bs-warning-rgb: 247, 171, 51;
    --bs-danger-rgb: 243, 89, 88;
    --bs-light-rgb: 248, 249, 250;
    --bs-dark-rgb: 0, 59, 95;
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-body-color-rgb: 33, 37, 41;
    --bs-body-bg-rgb: 229, 233, 236;
    --bs-font-sans-serif: "Open Sans", Verdana, Tahoma, Arial, sans-serif;
    --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    --bs-body-color: #212529;
    --bs-body-bg: #e5e9ec;
}


.row,
.row-daticat {
    display: flex;
    flex-wrap: wrap;
}
.col-5 {
    flex: 0 0 auto;
    max-width: 5%;
}
.col-10 {
    flex: 0 0 auto;
    max-width: 10%;
}
.col-13 {
    flex: 0 0 auto;
    max-width: 13%;
}
.col-15 {
    flex: 0 0 auto;
    max-width: 15%;
}
.col-20 {
    flex: 0 0 auto;
    max-width: 20%;
}
.col-25 {
    flex: 0 0 auto;
    max-width: 25%;
}
.col-fix-25 {
    flex: 0 0 25%;
    width: 25%;
}
.col-30 {
    flex: 0 0 auto;
    max-width: 30%;
}
.col-40 {
    flex: 0 0 auto;
    max-width: 40%;
}
.col-50 {
    flex: 0 0 auto;
    max-width: 50%;
}

.col-datocat-1 {
    flex: 0 0 25%;
    max-width: 25%;
}

.col-datocat-2 {
    flex: 0 0 50%;
    max-width: 50%;
}

.col-datocat-3 {
    flex: 0 0 75%;
    max-width: 75%;
}

.col-datocat-4 {
    flex: 0 0 100%;
    max-width: 100%;
}

.col-5, .col-10, .col-13, .col-15, .col-20, .col-30, .col-40, .col-50,
.col-datocat-1, .col-datocat-2, .col-datocat-3, .col-datocat-4 {
    position: relative;
    width: 100%;
    padding-right: 3.5px;
    padding-left: 3.5px;
}

.login-box {
    width: 500px;
    border-radius: 0;
}

.exa-pagination-container {
    display: flex;
    padding: .2rem 0;
    justify-content: flex-end;
}

    .exa-pagination-container .exa-pagination {
        display: flex;
    }

        .exa-pagination-container .exa-pagination .exa-pagination-action {
            display: flex;
            height: 30px;
            min-width: 25px;
            align-items: center;
            justify-content: center;
            border: .1rem solid #eee;
            margin: 0 1px;
        }

            .exa-pagination-container .exa-pagination .exa-pagination-action:hover {
                cursor: pointer;
                background-color: #daeffd;
            }

            .exa-pagination-container .exa-pagination .exa-pagination-action.active {
                background-color: #e5e9ec;
                color: #000;
            }

            .exa-pagination-container .exa-pagination .exa-pagination-action.disabled {
                pointer-events: none;
                color: #e5e5e5 !important;
            }

    .exa-pagination-container .exa-pagination-info {
        display: flex;
        align-items: center;
        text-transform: uppercase;
        margin-right: 1rem;
    }

    .exa-pagination-container .divider {
        display: flex;
        align-items: center;
        margin-right: .2rem;
        margin-left: .2rem;
    }

.grid-form {
    padding: 0;
    margin-top: -2px;
}

    .grid-form .mud-grid-item {
        padding-top: 0;
        padding-bottom: 0;
    }

ul.list-dash {
    list-style: disc;
    margin-left: 1rem;
}

.annotazione .mud-input {
    background: #f4ea82;
}

.mud-picker.no-today .mud-picker-calendar .mud-day.mud-current {
    border-color: transparent !important;
}

.mud-picker.in-modal .mud-picker-calendar-content {
    border: 1px solid #ccc;
}

    .mud-picker.in-modal .mud-picker-calendar-content .mud-picker-calendar-container {
        justify-self: center;
    }

.statistiche-classedoc {
    width: 95%;
    margin-left: auto;
}

.mud-tooltip-root .tooltip-overflow {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 100%;
}

.bold {
    font-weight: bold;
}

.mud-table-sticky-header .mud-table-container {
    padding-bottom: 1rem;
}

.align-items-center {
    align-items: center;
}

.justify-content-between {
    justify-content: space-between;
}

.table-wrapper {
    overflow: auto;
    flex: 1;
    display: flex;
    flex-direction: column;
}

.select-col {
    width: 40px;
    text-align: center;
}